For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reference Tables

Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users.

Find a reference table job execution from a given datamart

get
/datamarts/{datamart_id}/reference_table_job_executions/{id}
Path parameters
datamart_idinteger · int64Required
idinteger · int64Required
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/reference_table_job_executions/{id}
GET /v1/datamarts/{datamart_id}/reference_table_job_executions/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "organisation_id": "text",
    "start_date": 0,
    "job_type": "text",
    "num_tasks": 0,
    "community_id": "text",
    "completed_tasks": 0,
    "max_retry_count": 0,
    "parameters": "text",
    "result": "text",
    "duration": 1,
    "cancel_status": "REQUESTED",
    "is_retryable": false,
    "status": "PENDING",
    "creation_date": 0,
    "user_id": "text",
    "id": "text",
    "erroneous_tasks": 0,
    "retry_count": 0,
    "permalink_uri": "text",
    "debug": "text",
    "external_name": "text"
  }
}

List the reference table import job executions

get
/datamarts/{datamart_id}/reference_table_job_executions
Path parameters
datamart_idinteger · int64Required
Query parameters
first_resultinteger · int32Optional

Offset from which the search must be performed

max_resultsinteger · int32Optional

Number of maximum items that shall be return by this search

order_bystringOptional

Fields used to order the result

statusstring · enumOptional

The status of the job (PENDING/RUNNING/SUCCEEDED/FAILED)

Possible values:
Responses
200

Success !

application/json
max_resultsintegerRequired
countintegerRequired
first_resultintegerRequired
statusstring · enumRequiredPossible values:
totalintegerRequired
get/datamarts/{datamart_id}/reference_table_job_executions
GET /v1/datamarts/{datamart_id}/reference_table_job_executions HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "max_results": 1,
  "count": 1,
  "first_result": 1,
  "data": [
    {
      "organisation_id": "text",
      "start_date": 0,
      "job_type": "text",
      "num_tasks": 0,
      "community_id": "text",
      "completed_tasks": 0,
      "max_retry_count": 0,
      "parameters": "text",
      "result": "text",
      "duration": 1,
      "cancel_status": "REQUESTED",
      "is_retryable": false,
      "status": "PENDING",
      "creation_date": 0,
      "user_id": "text",
      "id": "text",
      "erroneous_tasks": 0,
      "retry_count": 0,
      "permalink_uri": "text",
      "debug": "text",
      "external_name": "text"
    }
  ],
  "status": "ok",
  "total": 1
}

Post a file to start the reference table import job execution

post
/datamarts/{datamart_id}/reference_table_job_executions
Path parameters
datamart_idinteger · int64Required
Query parameters
check_schema_compatibilitybooleanOptional

Defaults to true. Indicates whether to check schema / imported file compatibility before triggering the job.

Body
stringOptional
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
post/datamarts/{datamart_id}/reference_table_job_executions
POST /v1/datamarts/{datamart_id}/reference_table_job_executions HTTP/1.1
Host: api.mediarithmics.local
Content-Type: text/csv
Accept: */*
Content-Length: 6

"text"
{
  "status": "ok",
  "data": {
    "organisation_id": "text",
    "start_date": 0,
    "job_type": "text",
    "num_tasks": 0,
    "community_id": "text",
    "completed_tasks": 0,
    "max_retry_count": 0,
    "parameters": "text",
    "result": "text",
    "duration": 1,
    "cancel_status": "REQUESTED",
    "is_retryable": false,
    "status": "PENDING",
    "creation_date": 0,
    "user_id": "text",
    "id": "text",
    "erroneous_tasks": 0,
    "retry_count": 0,
    "permalink_uri": "text",
    "debug": "text",
    "external_name": "text"
  }
}

Get the reference table final values matching given final values

get
/datamarts/{datamart_id}/reference_table_values
Path parameters
datamart_idinteger · int64Required
Query parameters
keywordsstringRequired

The list of final values the user is searching for

Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/reference_table_values
GET /v1/datamarts/{datamart_id}/reference_table_values?keywords=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "values": [
      "text"
    ]
  }
}

Perform an action on the reference table import job

post
/datamarts/{datamart_id}/reference_table_job_executions/{id}/action
Path parameters
datamart_idinteger · int64Required
idinteger · int64Required
Body
actionstring · enumRequiredPossible values:
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
post/datamarts/{datamart_id}/reference_table_job_executions/{id}/action
POST /v1/datamarts/{datamart_id}/reference_table_job_executions/{id}/action HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "action": "CANCEL"
}
{
  "status": "ok",
  "data": {
    "organisation_id": "text",
    "start_date": 0,
    "job_type": "text",
    "num_tasks": 0,
    "community_id": "text",
    "completed_tasks": 0,
    "max_retry_count": 0,
    "parameters": "text",
    "result": "text",
    "duration": 1,
    "cancel_status": "REQUESTED",
    "is_retryable": false,
    "status": "PENDING",
    "creation_date": 0,
    "user_id": "text",
    "id": "text",
    "erroneous_tasks": 0,
    "retry_count": 0,
    "permalink_uri": "text",
    "debug": "text",
    "external_name": "text"
  }
}

Get reference table variables given final values

get
/datamarts/{datamart_id}/reference_table_variables
Path parameters
datamart_idstringRequired
Query parameters
keywordsstringRequired

The list of keywords that are contained or equal to the final values to match

max_final_valuesinteger · int32Optional

The maximum number of final values to search

Responses
200

Success !

application/json
totalintegerRequired
statusstring · enumRequiredPossible values:
max_resultsintegerRequired
first_resultintegerRequired
countintegerRequired
get/datamarts/{datamart_id}/reference_table_variables
GET /v1/datamarts/{datamart_id}/reference_table_variables?keywords=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "total": 1,
  "status": "ok",
  "data": [
    {
      "path": "text",
      "values": [
        "text"
      ]
    }
  ],
  "max_results": 1,
  "first_result": 1,
  "count": 1
}

Last updated

Was this helpful?